Name:           rpmdevtools
Version:        8.6
Release:        %mkrel 2
Summary:        RPM Development Tools
Group:          Development/Other
License:        GPLv2+ and GPLv2
URL:            https://fedorahosted.org/rpmdevtools/
Source0:        https://fedorahosted.org/released/rpmdevtools/%{name}-%{version}.tar.xz
Patch0: 		rpmdevtools-8.3-mga-enhanced-get.patch
BuildArch:      noarch
# help2man, pod2man, *python for creating man pages
BuildRequires:  help2man
BuildRequires:  python
BuildRequires:  python-rpm
BuildRequires:  bash-completion
Requires:       curl
Requires:       diffutils
Requires:       fakeroot
Requires:       file
Requires:       gawk
Requires:       man
Requires:       python
Requires:       rpm-build
Requires:       python-rpm

%description
This package contains script support files to aid in
development of RPM packages.
rpmdev-setuptree    Create RPM build tree within user's home directory
rpmdev-diff         Diff contents of two archives
rpmdev-newspec      Creates new .spec from template
rpmdev-rmdevelrpms  Find (and optionally remove) "development" RPMs
rpmdev-checksig     Check package signatures using alternate RPM keyring
rpminfo             Print information about executables and libraries
rpmdev-md5/sha*     Display checksums of all files in an archive file
rpmdev-vercmp       RPM version comparison checker
spectool            Expand and download sources and patches in specfiles
rpmdev-wipetree     Erase all files within dirs created by rpmdev-setuptree
rpmdev-extract      Extract various archives, "tar xvf" style
rpmdev-bumpspec     Bump revision in specfile
...and many more.


%prep
%setup -q
%apply_patches

%build
%configure --libdir=%{_prefix}/lib
%make

%install
rm -rf %buildroot
%makeinstall_std

#use easy to remember command bumpspec
ln -s /usr/bin/rpmdev-bumpspec %buildroot/usr/bin/bumpspec

%files
%doc COPYING NEWS
%config(noreplace) %{_sysconfdir}/rpmdevtools/
%{_datadir}/rpmdevtools/
%{_datadir}/bash-completion/completions/*
%{_bindir}/*
%{_mandir}/man[18]/*.[18]*


%changelog
* Sun Jan 22 2017 adrianomorselli <adrianomorselli> 8.6-2uplos2017
- rebuild

* Tue Dec 13 2016 bb <bb> 8.6-2pclos2017
- fix package for pclos

* Mon Dec 12 2016 bb <bb> 8.6-1pclos2017
- update

